# Loki::TwoRefLinks Class Reference
[StrongPtr Ownership policies]

`#include <StrongPtr.h>`

Collaboration diagram for Loki::TwoRefLinks:
[legend]

List of all members.

## Protected Member Functions

bool | Merge (TwoRefLinks &rhs)

## Detailed Description

This implementation of StrongPtr's OwnershipPolicy uses a doubly-linked cycle of copointers to a shared object. Some functions are trivial enough to be inline, while others are implemented in elsewhere. It is not thread safe, and is intended for single-threaded environments.

## Member Function Documentation

bool Loki::TwoRefLinks::Merge | ( | TwoRefLinks & | rhs | ) | `[protected]`

rhs is in a cycle with 1 node.

this is in a cycle with 1 node.

References m_next, and m_prev.

The documentation for this class was generated from the following files:

- StrongPtr.h
- StrongPtr.cpp